Skip to main content

GeoFilter

Kullanıcıların platforma erişim sağlayabileceği ülkeleri kısıtlama aracıdır. GeoFilter'a ekli ülke bulunmaması durumunda tüm ülkelerden gelen istekler kabul edilir.

Ülke kodu olarak ISO 3166-1 alpha-2 uyumlu kodlar girilmelidir.

List countries

GeoFilter'a eklenen ülke listesini getirir.

Authentication
  • x-auth
HTTP Request

GET /user/geofilter/countries

Response Body Example
[
{
"id": 465,
"userId": "1716",
"countryCode": "DE",
"countryName": "Germany",
"createDateTimeStamp": 1760969276741,
"updateDateTimeStamp": 1760969276741,
"flagImage": "https://cdn.example.com/images/country/germany@3x.svg",
"iosFlagImage": "https://cdn.example.com/images/country/germany@2x.png",
"pngFlagImage": "https://cdn.example.com/images/country/germany.png"
},
{
"id": 461,
"userId": "1716",
"countryCode": "TR",
"countryName": "Turkey",
"createDateTimeStamp": 1760807771973,
"updateDateTimeStamp": 1760807771973,
"flagImage": "https://cdn.example.com/images/country/turkey@3x.svg",
"iosFlagImage": "https://cdn.example.com/images/country/turkey@2x.png",
"pngFlagImage": "https://cdn.example.com/images/country/turkey.png"
}
]

2FA complete response

{
"action": "DURING_VIDEO_KYC",
"challengeId": "3piYuHNd6F2BSMzL",
"execResult": {
"success": true
}
}

Add country

GeoFilter'a yeni ülke ekle. Ülke önceden eklenmiş ise hata döner. İşlem başarılı tamamlanırsa kullanıcının tüm oturumları sonlandırılır.

Authentication
  • x-auth + 2FA
HTTP Request

POST /user/geofilter/countries

Request Parameters
FieldTypeRequiredDefaultDesc
countryCodestringtrue-Eklenecek ülke kodu
Response Body Example
{
"challenge": {
"challengeId": "FCztp5xPqzdbBiJ4",
"ts": 1760978397712,
"status": "PENDING",
"expire": 600,
"methodList": [
{
"id": "U66r",
"name": "MAIL",
"expire": 120,
"renewStart": 80,
"hint": "m***l@example.com"
},
{
"id": "A9Ab",
"name": "SMS",
"expire": 120,
"renewStart": 80,
"hint": "***6063"
}
]
}
}

2FA complete response

{
"action": "GEOFILTER_ADD",
"challengeId": "FCztp5xPqzdbBiJ4",
"execResult": {
"success": true
}
}
Errors
  • INVALID_FIELD
  • RECORD_ALREADY_EXIST

Remove country

GeoFilter'dan ülke sil. Ülke halihazırda ekli değil ise hata döner. İşlem başarılı tamamlanırsa kullanıcının tüm oturumları sonlandırılır.

Authentication
  • x-auth + 2FA
HTTP Request

DELETE /user/geofilter/countries

Request Parameters
FieldTypeRequiredDefaultDesc
countryCodestringtrue-Silinecek ülke kodu
Response Body Example
{
"challenge": {
"challengeId": "1NeUqJZYqW9VNkv8",
"ts": 1760978399321,
"status": "PENDING",
"expire": 600,
"methodList": [
{
"id": "ik86",
"name": "MAIL",
"expire": 120,
"renewStart": 80,
"hint": "m***l@example.com"
},
{
"id": "1sdg",
"name": "SMS",
"expire": 120,
"renewStart": 80,
"hint": "***6063"
}
]
}
}

2FA complete response

{
"action": "GEOFILTER_REMOVE",
"challengeId": "1NeUqJZYqW9VNkv8",
"execResult": {
"success": true
}
}
Errors
  • INVALID_FIELD
  • RECORD_NOT_FOUND